#!/bin/bash
# 13) Personaliación de nuevos lanzadores:

function crear_lanzadores() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos los parametros del comando a ejecutar /usr/bin/vx-conf-lanzadores-desktop:
    LANZADOR="$(jq -r ".${PARAM}[${CONT}].lanzador" "${FICHCONFJSON}")"
    NAME="$(jq -r ".${PARAM}[${CONT}].name" "${FICHCONFJSON}")"
    NAME_ES="$(jq -r ".${PARAM}[${CONT}].name_es" "${FICHCONFJSON}")"
    COMENTARIO="$(jq -r ".${PARAM}[${CONT}].comment" "${FICHCONFJSON}")"
    COMENTARIO_ES="$(jq -r ".${PARAM}[${CONT}].comment_es" "${FICHCONFJSON}")"
    EXEC="$(jq -r ".${PARAM}[${CONT}].exec" "${FICHCONFJSON}")"
    # Logo SVG guardado normalmente en: /usr/share/icons/hicolor/scalable/apps/
    LOGO_DESK="$(jq -r ".${PARAM}[${CONT}].icon" "${FICHCONFJSON}")"
    CATEGORIAS="$(jq -r ".${PARAM}[${CONT}].categories" "${FICHCONFJSON}")"
    EN_ESCRITORIOS="$(jq -r ".${PARAM}[${CONT}].lanzador_en_Escritorios" "${FICHCONFJSON}")"
    UIDS="$(jq -r ".${PARAM}[${CONT}].uids" "${FICHCONFJSON}")"
    GIDS="$(jq -r ".${PARAM}[${CONT}].gids" "${FICHCONFJSON}")"
    if vx-conf-lanzadores-desktop --crear "${LANZADOR}" \
    "${NAME}" \
    "${NAME_ES}" \
    "${COMENTARIO}" \
    "${COMENTARIO_ES}" \
    "${EXEC}" \
    "${LOGO_DESK}" \
    "${CATEGORIAS}" \
    "${EN_ESCRITORIOS}" \
    "${UIDS}" \
    "${GIDS}" ; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha creado el lanzador correctamente: ${LANZADOR}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas para crear el lanzador: ${LANZADOR}"
    fi
}

function borrar_lanzadores() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos los parametros del comando a ejecutar /usr/bin/vx-conf-lanzadores-desktop:
    LANZADOR="$(jq -r ".${PARAM}[${CONT}].lanzador" "${FICHCONFJSON}")"
    if vx-conf-lanzadores-desktop --borrar "${LANZADOR}" ; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha borrado el lanzador correctamente: ${LANZADOR}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas para borrar el lanzador: ${LANZADOR}"
    fi
}

"${echo_titulo}" "*  [[ Crear Lanzadores especifícos de Centro ... ]]  *"
PARAM="lanzadoresespecificos.crear.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Crear Lanzadores Específicos" "crear_lanzadores"

"${echo_titulo}" "*  [[ Borrar Lanzadores especifícos de Centro ... ]]  *"
PARAM="lanzadoresespecificos.borrar.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Borrar Lanzadores Específicos" "borrar_lanzadores"